Subject: Re: [PATCH] fetch-pack: speed up loading of refs via commit graph

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Aug 2021 09:26:59 -0700

Patrick Steinhardt <[email-masked]> writes:

> I've put some more time into this. If rebased on top of v4 of [1], then
> we can also use `parse_commit_in_graph_gently()` to further speed this
> up from 15.8 seconds to 11.6 seconds with below patch. It's the same
> memory/speed tradeoff as I'm doing in [1].

Sounds good.

> I guess I'd still like to treat both series separately for now given
> that [1] is more involved compared to this patch series here. I'll then
> do a follow-up when (if?) both series have landed.

During the pre-release freeze (cf. https://tinyurl.com/gitCal), new
topics will not "land" anywhere so you have two weeks or so to
stabilize the base topic.  I would prefer not to have to worry about
inter-dependent multiple topics anyway, especially the ones that are
not relevant to the upcoming release during a pre-release period.

Thanks.